classification
Title: DOC: manpage directive doesn't create hyperlink
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: BTaskaya, berker.peksag, cheryl.sabella, docs@python, eric.araujo, ezio.melotti, matrixise, mdk, willingc
Priority: normal Keywords: patch

Created on 2019-04-08 21:40 by cheryl.sabella, last changed 2019-05-19 13:43 by berker.peksag. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13339 merged BTaskaya, 2019-05-15 11:35
Messages (6)
msg339676 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-04-08 21:40
The `manpage` directive in the docs is not creating a hyperlink to the Unix manual page.  As of Sphinx 1.7, the `manpage` directive needs to have a `manpages_url` defined in the conf.py file.

[1] http://www.sphinx-doc.org/en/master/usage/restructuredtext/roles.html#role-manpage
msg342563 - (view) Author: Batuhan (BTaskaya) * Date: 2019-05-15 11:24
What is going to be our manpage site? Debian?
msg342564 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2019-05-15 11:48
Is there another source than Debian?

there is this option: http://man7.org/linux/man-pages/index.html

Honestly, if you use the Debian source, there is an automatic redirect to the right man page.
msg342565 - (view) Author: Batuhan (BTaskaya) * Date: 2019-05-15 11:58
I sent a proposal with debian default and can be altered through env variable called MANPAGES_URL
msg342567 - (view) Author: Batuhan (BTaskaya) * Date: 2019-05-15 11:59
*ups propsal = pr
msg342818 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2019-05-18 21:53
New changeset eab99650799699f766c2660f4cfa8ff3f9e8457f by Berker Peksag (Batuhan Taşkaya) in branch 'master':
bpo-36567: Use manpages_url to create links for man pages (GH-13339)
https://github.com/python/cpython/commit/eab99650799699f766c2660f4cfa8ff3f9e8457f
History
Date User Action Args
2019-05-19 13:43:21berker.peksagsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-05-18 21:53:56berker.peksagsetnosy: + berker.peksag
messages: + msg342818
2019-05-15 11:59:23BTaskayasetmessages: + msg342567
2019-05-15 11:58:15BTaskayasetmessages: + msg342565
2019-05-15 11:48:03matrixisesetnosy: + matrixise
messages: + msg342564
2019-05-15 11:35:47BTaskayasetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request13251
2019-05-15 11:24:32BTaskayasetnosy: + BTaskaya
messages: + msg342563
2019-04-08 21:40:47cheryl.sabellacreate